Skip to content

提取动态代理 (Get Proxy String) ​

1. 接口描述 ​

提取指定子账号的动态住宅代理连接

  • 请求方式:POST
  • 接口地址:https://api.cueip.com/api/dynamic-proxy/sub-accounts/get-proxy-string
  • 内容类型:application/json

2. 请求头规范 (Header) ​

所有请求必须包含以下安全校验字段。

字段名类型是否必填描述示例
X-APP-IDString是应用唯一标识 (appId)10001
X-NONCEString是随机数k9m2Pq7wL1
X-TIMESTAMPLong是当前 Unix 时间戳 (秒)1713165000
X-SIGNString是动态签名d3b1...

签名生成逻辑请参考:签名生成指南

3. 请求参数 (Body) ​

参数名类型是否必填描述示例
accountIdLong / String是子账号唯一 ID244294
countryCodeString否国家代码 (ISO 两位字母)"AF"
stateCodeString否州/省份代码"Balkh"
cityCodeString否城市名称/代码"Mazari-Sharif"
numInteger否提取代理数量,默认值为 110
timeInteger否粘性IP时长(分钟)。0 表示每次请求自动轮转,默认值为 03

4. 请求示例 ​

http
POST /api/dynamic-proxy/sub-accounts/get-proxy-string
Host: api.cueip.com
X-APP-ID: 10001
X-NONCE: n3m8Vq4xL0
X-TIMESTAMP: 1713165500
X-SIGN: b5c2f92b3c4d5e6f7a8b9c0d1e2f3a4b
Content-Type: application/json

{
    "accountId": "*****",
    "countryCode": "AF",
    "stateCode": "Balkh",
    "cityCode": "Mazari-Sharif",
    "num": 10,
    "time": 3
}

5. 响应示例 ​

json
{
    "code": 0,
    "data": [
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-MYYRV7KWPMH5-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-8QYUHE7FSZS3-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-F9ZG9D2SJUDA-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-G6SBHEFSA4YX-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-K5ZTPAXXG9SJ-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-YMQMX9QJ3KTJ-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-7248933UYTGM-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-3AUSJR7WPWAR-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-K5N449F6WP6G-stime-3:**@sop-eu.s5server.com:1337",
        "**-country-AF-state-Balkh-city-Mazari-Sharif-sid-KBFVSBF46XQM-stime-3:**@sop-eu.s5server.com:1337"
    ],
    "msg": ""
}